/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MetBean.java,v 1.1 2004/04/05 15:05:42 durieuxp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.applimet;

import javax.ejb.SessionBean;
import javax.ejb.CreateException;

public abstract class MetBean implements SessionBean {

    private Dao dao;

    public void methode1(){ 
	
        System.out.println("EJB: methode1() Entre");
        dao.rechercherTousLesMarches();
        System.out.println("EJB: methode1() Sortie");
	
    }

    public void ejbCreate() throws CreateException{
        dao = new Dao(); 
    }

    public void ejbRemove(){
        System.out.println("EJB: ejbRemove() Entre");
        dao.removeConnexion(); 
        System.out.println("EJB: ejbRemove() Sortie");
    }
}
