// TimeBeanClient.java
// mini Client for accessing bean TimeBean

package org.objectweb.jonas.jtests.beans.time;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

/**
 *
 */
public class TimeBeanClient {

    static Context ctx = null; 
    static TimeBeanHome home = null;

    public static void main(String[] arg) {

	// Get InitialContext
	try {
	    ctx = new InitialContext();
	} catch (NamingException e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// Lookup bean home 
	String bName = "TimeBeanHome";
	try {
	    home = (TimeBeanHome) PortableRemoteObject.narrow(ctx.lookup(bName), TimeBeanHome.class);
	    TimeBean bean = home.create();
            bean.getDate();
	} catch(Exception e) {
	    e.printStackTrace();
	    System.exit(2);
	}

	// ...
    }
}
